<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>JsonReader</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="declaration: package: tools, class: JsonReader">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/JsonReader.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">tools</a></div>
<h1 title="Class JsonReader" class="title">Class JsonReader</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">tools.JsonReader</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">JsonReader</span>
extends java.lang.Object</pre>
<div class="block"><p>
 The Class JsonReader<br>
 JsonReader類別（class）主要用於處理Http Rrequest和Http Rresponse之方法（method）
 </p></div>
<dl class="notes">
<dt>Since:</dt>
<dd>1.0.0</dd>
<dt>Version:</dt>
<dd>1.0.0</dd>
<dt>Author:</dt>
<dd>IPLab</dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(javax.servlet.http.HttpServletRequest)">JsonReader</a></span>&#8203;(javax.servlet.http.HttpServletRequest&nbsp;request)</code></th>
<td class="col-last">
<div class="block">實例化（Instantiates）一個新的（new）JSONReader物件</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>org.json.JSONArray</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getArray()">getArray</a></span>()</code></th>
<td class="col-last">
<div class="block">將 Http Request 轉換成 JSONArray 之物件，Request之字串最外層必須為 [] Array</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>org.json.JSONObject</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getObject()">getObject</a></span>()</code></th>
<td class="col-last">
<div class="block">將 Http Request 轉換成 JSONObject 之物件，Request之字串最外層必須為 {} Object</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getParameter(java.lang.String)">getParameter</a></span>&#8203;(java.lang.String&nbsp;key)</code></th>
<td class="col-last">
<div class="block">取得GET Request內之參數（透過網址傳值）</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#response(int,org.json.JSONObject,javax.servlet.http.HttpServletResponse)">response</a></span>&#8203;(int&nbsp;status_code,
org.json.JSONObject&nbsp;resp,
javax.servlet.http.HttpServletResponse&nbsp;response)</code></th>
<td class="col-last">
<div class="block">將 JSON 格式之JSONObject傳入，將處理完成後的資料進行Response回前端 採用多載（overload）方法進行</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#response(java.lang.String,javax.servlet.http.HttpServletResponse)">response</a></span>&#8203;(java.lang.String&nbsp;resp_string,
javax.servlet.http.HttpServletResponse&nbsp;response)</code></th>
<td class="col-last">
<div class="block">將 JSON 格式之字串傳入，將處理完成後的資料進行Response回前端，字串最外圍必須為 {} Object 採用多載（overload）方法進行</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#response(org.json.JSONObject,javax.servlet.http.HttpServletResponse)">response</a></span>&#8203;(org.json.JSONObject&nbsp;resp,
javax.servlet.http.HttpServletResponse&nbsp;response)</code></th>
<td class="col-last">
<div class="block">將 JSON 格式之JSONObject傳入，將處理完成後的資料進行Response回前端 採用多載（overload）方法進行</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(javax.servlet.http.HttpServletRequest)">
<h3>JsonReader</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">JsonReader</span>&#8203;(<span class="parameters">javax.servlet.http.HttpServletRequest&nbsp;request)</span>
           throws <span class="exceptions">java.io.IOException,
java.io.UnsupportedEncodingException</span></div>
<div class="block">實例化（Instantiates）一個新的（new）JSONReader物件</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>request</code> - Servlet Http Request物件，紀錄request</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Signals that an I/O exception has
                                      occurred.</dd>
<dd><code>java.io.UnsupportedEncodingException</code> - the unsupported encoding exception</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getParameter(java.lang.String)">
<h3>getParameter</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getParameter</span>&#8203;(<span class="parameters">java.lang.String&nbsp;key)</span></div>
<div class="block">取得GET Request內之參數（透過網址傳值）</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>key</code> - 傳入要取得之key值</dd>
<dt>Returns:</dt>
<dd>the parameter 回傳該key值之value</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getArray()">
<h3>getArray</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.json.JSONArray</span>&nbsp;<span class="member-name">getArray</span>()</div>
<div class="block">將 Http Request 轉換成 JSONArray 之物件，Request之字串最外層必須為 [] Array</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the array 回傳轉換成的JSONArray</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getObject()">
<h3>getObject</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.json.JSONObject</span>&nbsp;<span class="member-name">getObject</span>()</div>
<div class="block">將 Http Request 轉換成 JSONObject 之物件，Request之字串最外層必須為 {} Object</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the object 回傳轉換成的JSONObject</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="response(java.lang.String,javax.servlet.http.HttpServletResponse)">
<h3>response</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">response</span>&#8203;(<span class="parameters">java.lang.String&nbsp;resp_string,
javax.servlet.http.HttpServletResponse&nbsp;response)</span>
              throws <span class="exceptions">java.io.IOException,
java.io.UnsupportedEncodingException</span></div>
<div class="block">將 JSON 格式之字串傳入，將處理完成後的資料進行Response回前端，字串最外圍必須為 {} Object 採用多載（overload）方法進行</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>resp_string</code> - 愈Response之JSON格式字串</dd>
<dd><code>response</code> - Servlet回傳之HttpServletResponse之Response物件</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Signals that an I/O exception has
                                      occurred.</dd>
<dd><code>java.io.UnsupportedEncodingException</code> - the unsupported encoding exception</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="response(org.json.JSONObject,javax.servlet.http.HttpServletResponse)">
<h3>response</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">response</span>&#8203;(<span class="parameters">org.json.JSONObject&nbsp;resp,
javax.servlet.http.HttpServletResponse&nbsp;response)</span>
              throws <span class="exceptions">java.io.IOException,
java.io.UnsupportedEncodingException</span></div>
<div class="block">將 JSON 格式之JSONObject傳入，將處理完成後的資料進行Response回前端 採用多載（overload）方法進行</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>resp</code> - 愈Response之JSONObject Response之物件</dd>
<dd><code>response</code> - Servlet回傳之HttpServletResponse之Response物件</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Signals that an I/O exception has
                                      occurred.</dd>
<dd><code>java.io.UnsupportedEncodingException</code> - the unsupported encoding exception</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="response(int,org.json.JSONObject,javax.servlet.http.HttpServletResponse)">
<h3>response</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">response</span>&#8203;(<span class="parameters">int&nbsp;status_code,
org.json.JSONObject&nbsp;resp,
javax.servlet.http.HttpServletResponse&nbsp;response)</span>
              throws <span class="exceptions">java.io.IOException,
java.io.UnsupportedEncodingException</span></div>
<div class="block">將 JSON 格式之JSONObject傳入，將處理完成後的資料進行Response回前端 採用多載（overload）方法進行</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>status_code</code> - 指定Http之狀態碼</dd>
<dd><code>resp</code> - 愈Response之JSONObject Response之物件</dd>
<dd><code>response</code> - Servlet回傳之HttpServletResponse之Response物件</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Signals that an I/O exception has
                                      occurred.</dd>
<dd><code>java.io.UnsupportedEncodingException</code> - the unsupported encoding exception</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/JsonReader.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
